org.apache.uima.analysis_engine.annotator

## Interface JTextAnnotator

- All Superinterfaces:
    BaseAnnotator
  All Known Implementing Classes:
    JTextAnnotator_ImplBase

  Deprecated.
  As of release 2.3.0, use JCasAnnotator_ImplBase instead

      @Deprecated
      public interface JTextAnnotator
      extends BaseAnnotator

  Interface for JCAS annotators in UIMA SDK v1.x. As of v2.0, JCAS annotators should extend `JCasAnnotator_ImplBase`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(JCas aJCas, ResultSpecification aResultSpec)` Deprecated. Invokes this annotator's analysis logic.

    - ### Methods inherited from interface org.apache.uima.analysis_engine.annotator.BaseAnnotator

      `destroy, initialize, reconfigure, typeSystemInit`

- - ### Method Detail

    - #### process

          void process(JCas aJCas,
                       ResultSpecification aResultSpec)
                throws AnnotatorProcessException

      Deprecated.
      Invokes this annotator's analysis logic. Prior to calling this method, the caller must ensure that the `JCas` has been populated with the document to be analyzed as well as any information that this annotator needs to do its processing. This annotator will access the data in the JCas and add new data to the JCas.

      The caller must also guarantee that the `ResultSpecification` falls within the scope of the `Capabilities` of this annotator (as published by its containing AnalysisEngine).

      The annotator will only produce the output types and features that are declared in the `aResultSpec` parameter.

      Parameters:
        `aJCas` - contains the document to be analyzed and may contain other metadata about that document.
        `aResultSpec` - A list of output types and features that this annotator should produce.
      Throws:
        `AnnotatorProcessException` - if a failure occurs during processing.

Copyright © 2006–2019 The Apache Software Foundation. All rights reserved.